|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QIcon

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QIcon class reference

### Public Types

- enum Size { Small, Large, Automatic }

### Public Functions

- QPixmap pixmap ( Size size, Mode mode, State state = Off ) const
- QPixmap pixmap ( Size size, bool enabled, State state = Off ) const
- QPixmap pixmap () const
- void reset ( const QPixmap & pixmap, Size size )
- void setPixmap ( const QPixmap & pixmap, Size size, Mode mode = Normal, State state = Off )
- void setPixmap ( const QString & fileName, Size size, Mode mode = Normal, State state = Off )

### Static Public Members

- QSize pixmapSize ( Size which )
- void setPixmapSize ( Size which, const QSize & size )

## Member Type Documentation

### enum QIcon::Size

Constant | Value | Description
--- | --- | ---
`QIcon::Small` | `0` | Use QStyle::pixelMetric(QStyle::PM_SmallIconSize) instead.
`QIcon::Large` | `1` | Use QStyle::pixelMetric(QStyle::PM_LargeIconSize) instead.
`QIcon::Automatic` | `Small` | N/A.

## Member Function Documentation

### QPixmap QIcon::pixmap ( Size size, Mode mode, State state = Off ) const

Use pixmap(QSize(...), mode, state), where the first argument is an appropriate QSize instead of a Size value.

See also pixmapSize().

### QPixmap QIcon::pixmap ( Size size, bool enabled, State state = Off ) const

Use pixmap(QSize(...), mode, state), where the first argument is an appropriate QSize instead of a Size value, and the second argument is QIcon::Normal or QIcon::Disabled, depending on the value of enabled.

See also pixmapSize().

### QPixmap QIcon::pixmap () const

Use one of the other pixmap() overloads.

### QSize QIcon::pixmapSize ( Size which ) `[static]`

Use QStyle::pixelMetric() with QStyle::PM_SmallIconSize or QStyle::PM_LargeIconSize as the first argument, depending on which.

See also setPixmapSize().

### void QIcon::reset ( const QPixmap & pixmap, Size size )

Use the constructor that takes a QPixmap and operator=().

### void QIcon::setPixmap ( const QPixmap & pixmap, Size size, Mode mode = Normal, State state = Off )

Use addPixmap(pixmap, mode, state) instead. The size parameter is ignored.

See also pixmap().

### void QIcon::setPixmap ( const QString & fileName, Size size, Mode mode = Normal, State state = Off )

Use addFile(fileName, mode, state) instead. The size parameter is ignored.

### void QIcon::setPixmapSize ( Size which, const QSize & size ) `[static]`

The pixmap() function now takes a QSize instead of a QIcon::Size, so there is no need for this function in new code.

See also pixmapSize().